#include "temporary.h"

void LED_init(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;
	
	RCC_AHBPeriphClockCmd(RCC_AHBPeriph_GPIOB, ENABLE); 

	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT; //(_OUT, _AF, _AN)
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_40MHz; //(_2MHz, _10MHz, 40MHz)
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL; //(_NOPULL, _UP)
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_6 | GPIO_Pin_7; //(_0 ... _15)
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP; //(_PP - push/pull output, _OD - open drain output)
	GPIO_Init(GPIOB, &GPIO_InitStructure);
}

