#include "user_func.h"

align_attr_start unsigned int task_1_stack[128] align_attr_end;
task_param_init task_1;
void task_1_func(void *par);

align_attr_start unsigned int task_2_stack[128] align_attr_end;
task_param_init task_2;
void task_2_func(void *par);

sem_param_init sem_test;

uint32_t tm;

void task_1_func(void *par)
{
	while(1)
	{
		sem_in(&sem_test);
		GPIO_SetBits(GPIOB, GPIO_Pin_7);
		task_move_tail_queue_priority();				
		
		tm = 10000;
		while(tm != 0)
			tm--;
		
		sem_out(&sem_test);
	}
}

void task_2_func(void *par)
{
	while(1)
	{
		sem_in(&sem_test);
		GPIO_ResetBits(GPIOB, GPIO_Pin_7);
		task_move_tail_queue_priority();
		
		tm = 20000;
		while(tm != 0)
			tm--;
				
		sem_out(&sem_test);
	}	
}

void start_user_tasks(void)
{	
	sem_create(&sem_test, 1);
	
	task_create(&task_1,
							task_1_func,
							NULL,
							1,
							&task_1_stack[0],
							128);
							
	task_create(&task_2,
							task_2_func,
							NULL,
							1,
							&task_2_stack[0],
							128);
}

